Package org.optaplanner.persistence.jackson.api.score

## Class AbstractScoreJacksonDeserializer<Score_ extends Score<Score_>>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<Score_>
  - - org.optaplanner.persistence.jackson.api.score.AbstractScoreJacksonDeserializer<Score_>

- Type Parameters:
    `Score_` - the actual score type
  All Implemented Interfaces:
    `com.fasterxml.jackson.databind.deser.NullValueProvider`
  Direct Known Subclasses:
    `BendableBigDecimalScoreJacksonDeserializer`, `BendableLongScoreJacksonDeserializer`, `BendableScoreJacksonDeserializer`, `HardMediumSoftBigDecimalScoreJacksonDeserializer`, `HardMediumSoftLongScoreJacksonDeserializer`, `HardMediumSoftScoreJacksonDeserializer`, `HardSoftBigDecimalScoreJacksonDeserializer`, `HardSoftLongScoreJacksonDeserializer`, `HardSoftScoreJacksonDeserializer`, `SimpleBigDecimalScoreJacksonDeserializer`, `SimpleLongScoreJacksonDeserializer`, `SimpleScoreJacksonDeserializer`

      public abstract class AbstractScoreJacksonDeserializer<Score_ extends Score<Score_>>
      extends com.fasterxml.jackson.databind.JsonDeserializer<Score_>

  Jackson binding support for a `Score` type.

  For example: use `@JsonSerialize(using = HardSoftScoreScoreJacksonSerializer.class) @JsonDeserialize(using = HardSoftScoreJacksonDeserializer.class)` on a `HardSoftScore score` field and it will marshalled to JSON as `"score":"-999hard/-999soft"`.

  See Also:
    `Score`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractScoreJacksonDeserializer()` |

  - ### Method Summary

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, deserialize, deserializeWithType, deserializeWithType, findBackReference, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, logicalType, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractScoreJacksonDeserializer

          public AbstractScoreJacksonDeserializer()